LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Can't compile umtsmon (0.9) on Slackware64-Current (http://www.linuxquestions.org/questions/slackware-14/cant-compile-umtsmon-0-9-on-slackware64-current-845614/)

Jack128 11-21-2010 06:09 AM

Can't compile umtsmon (0.9) on Slackware64-Current
 
Hello,
I've tried to build umtsmon with the slackbuild
script "http://slackbuilds.org/repository/13.1/network/umtsmon/".
I have installed the qt3- and kde3-compat libraries from /extra
out of the slackware64-current tree and it's ended up with:

Code:

src/base/SerialPort.cpp: In Elementfunktion »virtual bool SerialPort::openDev(const QString&, int, long int)«:
src/base/SerialPort.cpp:88:33: Fehler: »fstat« wurde in diesem Gültigkeitsbereich nicht definiert
src/base/SerialPort.cpp:94:33: Fehler: »S_ISCHR« wurde in diesem Gültigkeitsbereich nicht definiert
make: *** [.obj/SerialPort.o] Fehler 1

Environment variables are set:
Code:

CPLUS_INCLUDE_PATH=/opt/kde3/lib64/qt3/include
QTDIR=/opt/kde3/lib64/qt3

But it won't build.
Thanks for any kind of help.

Edit:
Comment out these error lines, it would build fine.
But a comgt/kppp setup looks better to me, now.

Regards,
Jack

wargus 11-22-2010 04:20 PM

Hi

nice that you found your answer yourself, but next time try to reply to your opening post, as with this it will disappear from the Zero reply list

Schönen Abend :)

:hattip:


All times are GMT -5. The time now is 03:49 PM.